#!/bin/bash -l
#SBATCH -q debug
#SBATCH -t 00:10:00
#SBATCH -N 1
#SBATCH -C knl,quad,cache
#SBATCH -S 4

#module load espresso
export OMP_NUM_THREADS=1
export MPIRUN="srun -N 1 -n 64 -c 4 --cpu_bind=cores"
export OMP_PLACES=threads
export OMP_PROC_BIND=spread

$MPIRUN ~/codes/q-e/bin/pw.x -npools 4 < scf.in &> scf.out
$MPIRUN ~/codes/q-e/bin/pw2bgw.x -npools 4 < pw2bgw.in &> pw2bgw.out
rm *.wfc*
